Subject: Re: [PATCH] rebase: make warning less passive aggressive

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Feb 2024 08:46:34 -0800

Jean-Noël AVILA <[email-masked]> writes:

> About "again and again", I was more refering to strings such as "could not 
> stat '%s'" and then "could not stat file '%s'".

I completely agree with that.

But the message you responded was not about that kind of burden to
translators.  It was arguing that it somehow is better to update the
in-code _("string") at the same time as updating msgid and msgstr in
the same patch (it may not have been directly "arguing for", but
essentially doing so with a rhetorical question).

So your "I do not want to translate again and again" thrown into
that context utterly confused me.  I didn't quite see how the
"everything in one patch" approach would help translaters by not
having them translate "again and again".

Thanks for clearing my confusion.